Go Down

Topic: Error Message Help (Read 362 times) previous topic - next topic

Leticiar

Can anyone explain this error message to me? Ive been trying to solve it for days but it still appears.
pi@raspberrypi:~/eyeLock/alexa-avs-sample-app/samples/companionService $ npm start
(node:3700) [DEP0022] DeprecationWarning: os.tmpDir() is deprecated. Use os.tmpdir() instead.

> alexa-voice-service-sample-companion-service@1.0.0 start /home/pi/eyeLock/alexa-avs-sample-app/samples/companionService
> node ./bin/www

This node service needs to be running to store token information memory and vend them for the AVS app.

fs.js:646
  return binding.open(pathModule._makeLong(path), stringToFlags(flags), mode);
                 ^

Error: ENOENT: no such file or directory, open ''
    at Object.fs.openSync (fs.js:646:18)
    at Object.fs.readFileSync (fs.js:551:33)
    at Object.<anonymous> (/home/pi/eyeLock/alexa-avs-sample-app/samples/companionService/bin/www:21:13)
    at Module._compile (module.js:652:30)
    at Object.Module._extensions..js (module.js:663:10)
    at Module.load (module.js:565:32)
    at tryModuleLoad (module.js:505:12)
    at Function.Module._load (module.js:497:3)
    at Function.Module.runMain (module.js:693:10)
    at startup (bootstrap_node.js:188:16)

npm ERR! alexa-voice-service-sample-companion-service@1.0.0 start: `node ./bin/www`
npm ERR! Exit status 1
npm ERR!
npm ERR! Failed at the alexa-voice-service-sample-companion-service@1.0.0 start script.
npm ERR! This is most likely a problem with the alexa-voice-service-sample-companion-service package,
npm ERR! not with npm itself.
npm ERR! Tell the author that this fails on your system:
npm ERR!     node ./bin/www
npm ERR! You can get their info via:
npm ERR!     npm owner ls alexa-voice-service-sample-companion-service
npm ERR! There is likely additional logging output above.
npm ERR! System Linux 4.14.98-v7+
npm ERR! command "/usr/bin/node" "/usr/bin/npm" "start"
npm ERR! cwd /home/pi/eyeLock/alexa-avs-sample-app/samples/companionService
npm ERR! node -v v8.11.1
npm ERR! npm -v 1.4.21
npm ERR! code ELIFECYCLE
npm WARN This failure might be due to the use of legacy binary "node"
npm WARN For further explanations, please read
/usr/share/doc/nodejs/README.Debian
 
npm ERR!
npm ERR! Additional logging details can be found in:
npm ERR!     /home/pi/eyeLock/alexa-avs-sample-app/samples/companionService/npm-debug.log
npm ERR! not ok code 0

MorganS

"The problem is in the code you didn't post."

wvmarle

pi@raspberrypi:~/eyeLock/alexa-avs-sample-app/samples/companionService $ npm start
You'll have much better chance of success on a RPi forum.
Quality of answers is related to the quality of questions. Good questions will get good answers. Useless answers are a sign of a poor question.

Leticiar

yea I posted it in a RPi forum and no one has answered

saildude

Try searching on the error message - I found several postings on various forums - that message seems to be going around

Go Up